Subject: Re: bug or a general misunderstanding

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 10 Nov 2021 15:33:04 +0100

On Wed, Nov 10 2021, [email-masked] wrote:

> Hello there
>
> I'm not sure if I'm in the right place here.
> Maybe it's a bug or a general misunderstanding of how GIT works.
>
> The following situation: I wanted to create a branch from a
> commit. From there on the work should be continued.
>
> The possible bug:
> The newly created branch is missing commits in the history. Not only
> are they not displayed, the code changes are not present.
> It doesn't matter if the branch is created by Visual Studio or GIT for
> Windows.
> Only in a branch created by GitHub Desktop the commits are present, as
> I would expect.
>
> Is this a bug or do I not understand how GIT works?
>
> Best regards and thank you for the effort
> André Pohlmann

Hi there.

The mailing list you contacted is the Git development mailing list. I
think it's fair to assume that you haven't run into a bug in git, but
are in need of more basic resources on the topic of Git.

Git's pretty good at retaining your data, if you can't find it after
saving it in git the reason for why is likely to be explained by an
introductory tutorial.

A good resource to start with is: https://git-scm.com/community